com.corticon.eclipse.studio.vocabulary.core

## Interface IAssociationEnd

- All Superinterfaces:
    java.lang.Cloneable, IElement

      public interface IAssociationEnd
      extends IElement

  IAssociationEnd is an immutable convenience facade that wraps an EReference and its annotation-based extension, making them appear to the client as a single object.

- - ### Field Summary

    - ### Fields inherited from interface com.corticon.eclipse.studio.vocabulary.core.IElement

      `IDENTITY_STRATEGY_IDENTITY, IDENTITY_STRATEGY_INCREMENT, IDENTITY_STRATEGY_NATIVE, IDENTITY_STRATEGY_SEQUENCE, IDENTITY_STRATEGY_UUID_HEX`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `getAllAssociationEnds()` Return a list of all declared association ends to the target entity.
    `java.util.List` | `getAllAssociationEnds(boolean abDeclaredOnly)` Return a list of all association ends belonging to the target entity.
    `java.util.List` | `getAllAssociationEnds(boolean abDeclaredOnly, boolean abIncludeQualifiers)` Return a list of all association ends belonging to the target entity.
    `java.util.List` | `getAllAssociationEnds(boolean abDeclaredOnly, boolean abIncludeQualifiers, boolean abTrimReverseLinkAssociationEnds)` Return a list of all association ends belonging to the target entity.
    `java.util.List` | `getAllAttributes()` Return a list of all declared attributes belonging to the target entity.
    `java.util.List` | `getAllAttributes(boolean abDeclaredOnly)` Return a list of all attributes belonging to the target entity.
    `org.eclipse.emf.ecore.EReference` | `getEReference()` Returns the EReference that this facade wraps.
    `com.corticon.rulesemf.canonicalvocabularymodel.AssociationEndExtension` | `getExtension()` Return the AssociationEndExtension for this EReference if any.
    `java.lang.String` | `getJavaObjectFieldName()` Return the Java Object Field Name.
    `java.lang.String` | `getJavaObjectGetMethod()` Return the Java Object Get Method.
    `java.lang.String` | `getJavaObjectSetMethod()` Return the Java Object Set Method.
    `java.lang.String` | `getJoinExpression()` Return the Join Expression.
    `java.lang.String` | `getName()` Return the role name.
    `IAssociationEnd` | `getOpposite()` Return the opposite association end for a bi-directional association, or `null` if this is a unidirectional association.
    `IEntity` | `getParentEntity()` Return the parent entity.
    `IEntity` | `getQualifier()` Getter for qualifier.
    `IEntity` | `getSourceEntity()` Return the source entity.
    `IEntity` | `getTargetEntity()` Return the target entity.
    `java.lang.String` | `getXMLPropertyName()` Return the XML Property name.
    `boolean` | `isDescendent()` Convenience method to determine whether this is a descendent facade.
    `boolean` | `isFieldAccessed()` For Java object mapping, determine whether this association end is "field-accessed" (i.e., the field is public and has no getter/setter method).
    `boolean` | `isIdentity()` Convenience method to determine whether this is an identity association.
    `boolean` | `isMandatory()` Return an indication of whether at least one instance of the target is required.
    `boolean` | `isMany()` Return an indication of whether there are many instances of the target entity (i.e., multiplicity of this association).
    `boolean` | `isMethodAccessed()` For Java object mapping, determine whether this association end is "method-accessed" (i.e., it has a getter and setter).
    `void` | `setDescendent(boolean abDescendent)` Setter for descendent facade indicator.
    `void` | `setQualifier(IEntity aIEntityQualifier)` Setter for qualifier.

    - ### Methods inherited from interface com.corticon.eclipse.studio.vocabulary.core.IElement

      `findExtension, findExtension, getAllContents, getAllContents, getChildren, getChildren, getGUID, getNamedElement, getParent, getParent, getSource, hasChildren`

- - ### Method Detail

    - #### getAllAssociationEnds

          java.util.List getAllAssociationEnds()

      Return a list of all declared association ends to the target entity.
      Returns:
        List of type IAssociationEnd.

    - #### getAllAssociationEnds

          java.util.List getAllAssociationEnds(boolean abDeclaredOnly)

      Return a list of all association ends belonging to the target entity. This list will consist solely of declared association ends (i.e., association ends explicitly declared within the target entity) or both declared and inherited association ends.
      Parameters:
        `abDeclaredOnly` - `true` to limit list to only declared association ends.
      Returns:
        List of type IAssociationEnd.

    - #### getAllAssociationEnds

          java.util.List getAllAssociationEnds(boolean abDeclaredOnly,
                                             boolean abIncludeQualifiers)

      Return a list of all association ends belonging to the target entity. This list may consist of declared associations ends, declared and inherited association ends, and may optionally include qualified association ends.
      Parameters:
        `abDeclaredOnly` - `true` to limit list to only declared association ends.
        `abIncludeQualifiers` - `true` to include association end qualifiers.
      Returns:
        List of type IAssociationEnd.

    - #### getAllAssociationEnds

          java.util.List getAllAssociationEnds(boolean abDeclaredOnly,
                                             boolean abIncludeQualifiers,
                                             boolean abTrimReverseLinkAssociationEnds)

      Return a list of all association ends belonging to the target entity. This list may consist of declared associations ends, declared and inherited association ends, and may optionally include qualified association ends. The caller may request that the list exclude "reverse link" associations, which is useful for rendering the Vocabulary tree view.
      Parameters:
        `abDeclaredOnly` - `true` to limit list to only declared association ends.
        `abIncludeQualifiers` - `true` to include association end qualifiers.
        `abTrimReverseLinkAssociationEnds` - `true` to not return reverse link association ends.
      Returns:
        List of type IAssociationEnd.

    - #### getAllAttributes

          java.util.List getAllAttributes()

      Return a list of all declared attributes belonging to the target entity.
      Returns:
        List of type IAttribute.

    - #### getAllAttributes

          java.util.List getAllAttributes(boolean abDeclaredOnly)

      Return a list of all attributes belonging to the target entity. This list will consist solely of declared association ends (i.e., attributes declared within the target entity) or both declared and inherited attributes.
      Parameters:
        `abDeclaredOnly` - `true` to limit list to only declared attributes.
      Returns:
        List of type IAttribute.

    - #### getEReference

          org.eclipse.emf.ecore.EReference getEReference()

      Returns the EReference that this facade wraps.
      Returns:
        EReference instance.

    - #### getExtension

          com.corticon.rulesemf.canonicalvocabularymodel.AssociationEndExtension getExtension()

      Return the AssociationEndExtension for this EReference if any.
      Returns:
        AssociationEndExtension instance.

    - #### getJavaObjectFieldName

          java.lang.String getJavaObjectFieldName()

      Return the Java Object Field Name.
      Returns:
        Java Object Field Name.

    - #### getJavaObjectGetMethod

          java.lang.String getJavaObjectGetMethod()

      Return the Java Object Get Method.
      Returns:
        Java Object Get Method.

    - #### getJavaObjectSetMethod

          java.lang.String getJavaObjectSetMethod()

      Return the Java Object Set Method.
      Returns:
        Java Object Set Method.

    - #### getJoinExpression

          java.lang.String getJoinExpression()

      Return the Join Expression.
      Returns:
        Join Expression.

    - #### getName

          java.lang.String getName()

      Return the role name.
      Specified by:
        `getName` in interface `IElement`
      Returns:
        Role name.

    - #### getOpposite

          IAssociationEnd getOpposite()

      Return the opposite association end for a bi-directional association, or `null` if this is a unidirectional association.
      Returns:
        IAssociationEnd AssociationEnd or `null` if unidirectional.

    - #### getParentEntity

          IEntity getParentEntity()

      Return the parent entity.
      Returns:
        Parent entity.

    - #### getQualifier

          IEntity getQualifier()

      Getter for qualifier.
      Parameters:
        `Entity` - that is qualifier for this facade.

    - #### getSourceEntity

          IEntity getSourceEntity()

      Return the source entity.
      Returns:
        Source entity.

    - #### getTargetEntity

          IEntity getTargetEntity()

      Return the target entity.
      Returns:
        Target entity or `null` if entity is non-standard (e.g., XSD import).

    - #### getXMLPropertyName

          java.lang.String getXMLPropertyName()

      Return the XML Property name.
      Returns:
        XML Property name.

    - #### isIdentity

          boolean isIdentity()

      Convenience method to determine whether this is an identity association.
      Returns:
        `true` if this is an identity association.

    - #### isMandatory

          boolean isMandatory()

      Return an indication of whether at least one instance of the target is required.
      Parameters:
        ``true`` - if at least one instance of target is required.

    - #### isMany

          boolean isMany()

      Return an indication of whether there are many instances of the target entity (i.e., multiplicity of this association).
      Parameters:
        ``true`` - if multiple instance of target are allowed.

    - #### isDescendent

          boolean isDescendent()

      Convenience method to determine whether this is a descendent facade.
      Returns:
        `true` if this is a descendent facade.

    - #### isFieldAccessed

          boolean isFieldAccessed()

      For Java object mapping, determine whether this association end is "field-accessed" (i.e., the field is public and has no getter/setter method).
      Returns:
        `true` if this association end is field-accessed.

    - #### isMethodAccessed

          boolean isMethodAccessed()

      For Java object mapping, determine whether this association end is "method-accessed" (i.e., it has a getter and setter).
      Returns:
        `true` if this association end is method-accessed.

    - #### setDescendent

          void setDescendent(boolean abDescendent)

      Setter for descendent facade indicator.
      Parameters:
        `abDescendent` - `true` if this is a descendent facade.

    - #### setQualifier

          void setQualifier(IEntity aIEntityQualifier)

      Setter for qualifier.
      Parameters:
        `aIEntityQualifier` - Entity that is qualifier for for this facade.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.